package com.gyee.wisdom.dao.timeseries;

import com.gyee.wisdom.common.data.timeseries.*;

import java.util.List;
import java.util.Map;

public interface ILatestDao {


    Map<String, TsData> getTsDataLatest(List<TsPoint> tsPoints) throws Exception;

    int writeDoubleLatest(List<TsPointData> list) throws Exception;

    int writeStringLatest(List<TsPointData> list) throws Exception;

    int writeBooleanLatest(List<TsPointData> list) throws Exception;

    int writeLongLatest(List<TsPointData> list) throws Exception;

    int writeBlobLatest(List<TsPointData> list) throws Exception;

    int writeCoordinateLatest(List<TsPointData> list) throws Exception;

    boolean writeLatest(List<TsPointData> dataList) throws Exception;

}
